List all Verify profiles
Gets a paginated list of Verify profiles.
GET
/
verify_profiles
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const verifyProfile of client.verifyProfiles.list()) {
console.log(verifyProfile.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.verify_profiles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.VerifyProfiles.List(context.TODO(), telnyx.VerifyProfileListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.verifyprofiles.VerifyProfileListPage;
import com.telnyx.sdk.models.verifyprofiles.VerifyProfileListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerifyProfileListPage page = client.verifyProfiles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.verify_profiles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->verifyProfiles->list(
filter: ['name' => 'name'], pageNumber: 0, pageSize: 0
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx verify-profiles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/verify_profiles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "12ade33a-21c0-473b-b055-b3c836e1c292",
"name": "Test Profile",
"webhook_url": "http://example.com/webhook",
"webhook_failover_url": "http://example.com/webhook/failover",
"daily_spend_limit_enabled": true,
"daily_spend_limit": 100,
"record_type": "verification_profile",
"created_at": "2020-09-14T17:03:32.965812",
"updated_at": "2020-09-14T17:03:32.965812",
"language": "en-US",
"sms": {
"messaging_template_id": "0abb5b4f-459f-445a-bfcd-488998b7572d",
"app_name": "Example Secure App",
"alpha_sender": "Telnyx",
"code_length": 6,
"whitelisted_destinations": [
"US",
"CA"
],
"default_verification_timeout_secs": 300
},
"call": {
"messaging_template_id": "0abb5b4f-459f-445a-bfcd-488998b7572d",
"app_name": "Example Secure App",
"code_length": 6,
"whitelisted_destinations": [
"US",
"CA"
],
"default_verification_timeout_secs": 300
},
"flashcall": {
"app_name": "Example Secure App",
"default_verification_timeout_secs": 300
},
"whatsapp": {
"messaging_template_id": "0abb5b4f-459f-445a-bfcd-488998b7572d",
"app_name": "Example Secure App",
"code_length": 6,
"whitelisted_destinations": [
"US",
"CA"
],
"default_verification_timeout_secs": 300,
"waba_id": "1234567890",
"sender_phone_number": "+13035551234",
"template_id": "authentication_template_name"
}
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10015",
"title": "Invalid sorting value",
"detail": "The value provided for sorting is not valid. Check the value used and try again.",
"source": {
"pointer": "/sort",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[name]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const verifyProfile of client.verifyProfiles.list()) {
console.log(verifyProfile.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.verify_profiles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.VerifyProfiles.List(context.TODO(), telnyx.VerifyProfileListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.verifyprofiles.VerifyProfileListPage;
import com.telnyx.sdk.models.verifyprofiles.VerifyProfileListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerifyProfileListPage page = client.verifyProfiles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.verify_profiles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->verifyProfiles->list(
filter: ['name' => 'name'], pageNumber: 0, pageSize: 0
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx verify-profiles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/verify_profiles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "12ade33a-21c0-473b-b055-b3c836e1c292",
"name": "Test Profile",
"webhook_url": "http://example.com/webhook",
"webhook_failover_url": "http://example.com/webhook/failover",
"daily_spend_limit_enabled": true,
"daily_spend_limit": 100,
"record_type": "verification_profile",
"created_at": "2020-09-14T17:03:32.965812",
"updated_at": "2020-09-14T17:03:32.965812",
"language": "en-US",
"sms": {
"messaging_template_id": "0abb5b4f-459f-445a-bfcd-488998b7572d",
"app_name": "Example Secure App",
"alpha_sender": "Telnyx",
"code_length": 6,
"whitelisted_destinations": [
"US",
"CA"
],
"default_verification_timeout_secs": 300
},
"call": {
"messaging_template_id": "0abb5b4f-459f-445a-bfcd-488998b7572d",
"app_name": "Example Secure App",
"code_length": 6,
"whitelisted_destinations": [
"US",
"CA"
],
"default_verification_timeout_secs": 300
},
"flashcall": {
"app_name": "Example Secure App",
"default_verification_timeout_secs": 300
},
"whatsapp": {
"messaging_template_id": "0abb5b4f-459f-445a-bfcd-488998b7572d",
"app_name": "Example Secure App",
"code_length": 6,
"whitelisted_destinations": [
"US",
"CA"
],
"default_verification_timeout_secs": 300,
"waba_id": "1234567890",
"sender_phone_number": "+13035551234",
"template_id": "authentication_template_name"
}
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10015",
"title": "Invalid sorting value",
"detail": "The value provided for sorting is not valid. Check the value used and try again.",
"source": {
"pointer": "/sort",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}